﻿using System;
using System.Configuration;
using System.Windows.Forms;
using Niche.GroupInspector.Configuration;
using Niche.GroupInspector.Presentation;

namespace GroupInspector
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            var configuration = (GroupInspectorSettings)ConfigurationManager.GetSection("Applications");

            var provider = new ConfigurationSystemProvider(configuration);

            var form = new GroupInspectorForm();
            var model = new ActiveDirectoryGroupModel(provider);

            var presenter = new GroupInspectorPresenter(model, form);
            presenter.InitializeView();

            Application.Run(form);
        }
    }
}
