﻿using System;
using System.Configuration;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Niche.GroupInspector.Domain;

namespace Niche.GroupInspector.Configuration
{
    public sealed class GroupInspectorSettings : ConfigurationSection
    {
        [ConfigurationProperty("caption", IsRequired = true)]
        public string Caption
        {
            get
            {
                return (string)this["caption"];
            }

            set
            {
                this["caption"] = value;
            }
        }

        [ConfigurationProperty("systems", IsDefaultCollection = true)]
        [ConfigurationCollection(typeof(ApplicationSystemsCollection),
            AddItemName = "add",
            ClearItemsName = "clear",
            RemoveItemName = "remove")]
        public ApplicationSystemsCollection Systems
        {
            get
            {
                var collection =
                    (ApplicationSystemsCollection)base["systems"];
                return collection;
            }
        }

        public GroupInspectorSettings()
            : base()
        {
            // Nothing
        }
    }
}