﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;

namespace Niche.GroupInspector.Configuration
{
    public class SystemSettings : ConfigurationElement
    {
        [ConfigurationProperty("displayName", IsRequired = true)]
        public string DisplayName
        {
            get
            {
                return this["displayName"] as string;
            }

            set
            {
                this["displayName"] = value;
            }
        }

        [ConfigurationProperty("name", IsRequired = true)]
        public string Name
        {
            get
            {           
                return this["name"] as string;
            }

            set
            {
                this["name"] = value;
            }
        }

        [ConfigurationProperty("groups", IsDefaultCollection = true)]
        [ConfigurationCollection(typeof(GroupCollection),
            AddItemName = "add",
            ClearItemsName = "clear",
            RemoveItemName = "remove")]
        public GroupsCollection Groups
        {
            get
            {
                var collection =
                    (GroupsCollection)base["groups"];
                return collection;
            }
        }

    }
}