﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Niche.GroupInspector.Domain
{
    /// <summary>
    /// Represents a single Active Directory Group used for system access
    /// </summary>
    public class AccessGroup
    {
        /// <summary>
        /// Gets or sets the name of this Access Group
        /// </summary>
        public string Name
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the display name of this access group
        /// </summary>
        public string DisplayName
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the path within the Active Directory tree of this AccessGroup
        /// </summary>
        public string ActiveDirectoryGroupName
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the users in this group
        /// </summary>
        public IEnumerable<User> Users
        {
            get;
            set;
        }
    }
}