﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;

namespace Niche.GroupInspector.Domain
{
    /// <summary>
    /// Represents a user from Active Directory
    /// </summary>
    public class User
    {
        /// <summary>
        /// Gets or sets the full name of this user
        /// </summary>
        public string Name
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the username of this user
        /// </summary>
        public string UserName
        {
            get;
            set;
        }

        public string Description
        {
            get;
            set;
        }

        public string DistinguishedName
        {
            get;
            set;
        }

        public string Surname
        {
            get;
            set;
        }

        public override string ToString()
        {
            return string.Format(CultureInfo.InvariantCulture, "{0}/{1}[{2}]", Name, Surname, UserName);
        }
    }
}