﻿using System.Collections.Generic;
using Niche.GroupInspector.Domain;

namespace Niche.GroupInspector.Presentation
{
    /// <summary>
    /// Functionality provided by our model
    /// </summary>
    public interface IGroupInspectorModel
    {
        /// <summary>
        /// Load our sequence of available application systems
        /// </summary>
        /// <returns>Sequence of application systems.</returns>
        IEnumerable<ApplicationSystem> LoadApplicationSystems();

        /// <summary>
        /// Get all the users who are a part of the specified access group
        /// </summary>
        /// <param name="accessGroup">Access group for which users are required</param>
        /// <returns>Sequence of found users (possibly empty)</returns>
        IEnumerable<User> GetUsersForAccessGroup(AccessGroup accessGroup);
    }
}